## Community Inclusion Currencies (CICs) Documentation
Community Inclusion Currency (CIC) technology seeks to give organizations and communities the ability to issue, use and manage CICs in order to build resilient and connected economies.
 + [White Paper](https://docs.google.com/document/d/1Wmnpjc5bX1b8XP1kNtiZCqurMYw__4sNmdHjtSnnLWQ/edit?usp=sharing)
 + [Frequently Asked Questions](https://docs.google.com/document/d/1qtlOEL4pqW1vOL893BaXH9OqRSAO3k0q2eWbVIkxEvU/edit?usp=sharing) 
 + [Blog](https://grassecon.org/blog)
 + [Transaction Data](https://www.grassrootseconomics.org/research): Transaction Datasets and Research
 + [Dashboard](https://dashboard.sarafu.network)
 + [MOOC](https://grassecon.org/mooc) - Very old
 + [Village Market Simulator series](https://www.youtube.com/playlist?list=PLPUExzwZAUpbEInJy_8Wj_c_mDsw7-qXe)
 
 ## Open source code
 + [Managment Platform](https://github.com/GrassrootsEconomics/SempoBlockchain)
 + [Dashboard](https://github.com/GrassrootsEconomics/Accdash) [Dashboard API](https://github.com/GrassrootsEconomics/Accap)
 + [Blockchain Smart Contract](https://github.com/bancorprotocol/contracts) 

## CIC full system vision ##
 * Blockchain
   * Currently: We are on a public blockchain (Layer 2 side chain) called [xDAI](https://www.xdaichain.com/) 
   * Goal: To ensure decentralization, censor proofing and fair gas prices we plan to setup a validation node on this chain.
 * Blockchain Contracts
   * Bridge - in order to move between the xDAI side chain (Layer 2) and the Ethereum main net we need a bridge (hard spoon).
     * Currently: We connect to the Ethereum Main net using the xDAI to DAI bridge.
     * Goal: To have options to bridge to a variety of potential reserves
   * Bonding Curves - Enable us to add collateral (aka Reserves to CICs) as well as connect CICs to eachother in a safe way.
     * Currently: Bancor Protocol v1 - [Blockchain Smart Contract](https://github.com/bancorprotocol/contracts)
     * Goal: Researching Bancor Protocol v2 and other options
   * Contract Deployment (Currency Creation service)
     * Currently: We currently deploy the Bancor Contract suite manually via Command line
     * Goal: Both a USSD based and a web based interface for organizations and communities to create their own tokens
 * Fiat On-ramp / off-ramp - In order to enable users and donors to interact with CICs we need a way to move fiat on and off the blockchain
   * Currently: We currently move Fiat (USD/EUR) on an off the blockchains we use via exchanges such as BitCoinSwiss and local cryptos connected to Banks as well as eMoney
   * Goal: To make credit card payments available and streamline our fiat to token processes
 * Cloud server - is where we host all of our systems, Platform, Dashboard, future blockchain node.  
   * Currently: We are using AWS for instances and data storgage
   * Goal: A cheaper alternative
 * Dashboard
   * Currently: [Our dashboard](https://dashboard.sarafu.network) uses a D3 javascript we also have an internal dashboard for CIC platform administrators. We are pulling data from an internal postgres database on the CIC Mgmt Platform as well as blockchain transaction data from BlockScout
   * Goal: To have system related information available to field officers and users on Android phones and to pull data from our own blockchain node.
 * Simulations 
   * Currently: We started with a home grown VIllage Market Simulator and are currently are developing and using a cadCAD based modeling simulation built by BlockScience
   * Goal: To build on this simulation to validate and stress test economic models and to provide predictive analysis based on data
 * Marketplace
   * Currently: Grassroots Economics provides limited signage to users and marketing of products in the network is done by word of mouth, SMS messaging and a phone support team.
   * Goal: A web based interface for organizations and communities to share offers and wants using CICs
 * CIC Management Platform 
     * Currently: System admins (GE staff) are able to assist users to reset pins, reverse transactions, create new users. The system is build on React and Flask in Python and uses postgres for data stroage.
     * Goal: Stabilization of the platform and synchronization
 * Wallet:
     * Currently: Users connect via USSD through AfricasTalking to connect with their wallet on the CIC Mgmt Platform, private keeps are held by Grassroots Economics for these phones
     * Goal: 
       * A web based interface for organizations and communities to share offers and wants using CICs
       *  Adding social pin recovery
 * ID System - 
   * Currently: Each user has a sim card and the Telecom provides KYC services - users are asked a pin number to access the account on USSD 
   * Goal: Creating a more robust ID system for users without sim cards. Possibly adding brightID social ID  - like technologies
 * Rewards and Incentives - [see specifications](./spec/001_platform_incentives.md)
     * Currently: These incentive systems are a mixture of manual and CIC Mgmt Platform base, such as initial user air drop, referral bonuses and holding fees.
     * Goal: Any org developing a CIC can easily establish various rules and policies
 